Subject: Re: [bug#53765] [PATCH 10/17] gnu: Add clojure-tools-logging.

From: Reily Siegel <[email-masked]>
Date: Mon, 07 Feb 2022 17:19:05 -0500

Maxime Devos <[email-masked]> writes:

> Like mentioned for another packages, in that case the tests or the main
> code are broken, and in the latter case, clojure-tools-logging is
> broken, so it should be fixed or at the very least upstream should be
> informed, before including it in Guix.

This is caused by a problem with how Guix compiles clojure itself, in
the ant-build-system. I believe it has to do with preserving timestamps
on AOT compiled files, but it is not a bug I fully understand or am
qualified to fix. However, to be clear, tests upstream are fine.

-- 
Reily Siegel